Ubuntu

[Master] update-manager gives useless error message for invalid sources.list lines

Reported by Michael Vogt on 2007-10-24
82
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Michael Vogt

Bug Description

Binary package hint: update-manager

A sources.list that contains invalid components (like non-free that is not used in ubuntu) gives a useless error message:
"""
Failed to fetch http://de.archive.ubuntu.com/ubuntu/dists/gutsy/Release Unable to find expected entry contrib/binary-amd64/Packages in Meta-index file (malformed Release file?)
"""

And the upgrade will not continue. Update-manager should be more robust against failures like this.

Michael Vogt (mvo) on 2007-10-24
Changed in update-manager:
assignee: nobody → mvo
importance: Undecided → Medium
milestone: none → hardy-alpha-1
status: New → Confirmed
Michael Vogt (mvo) wrote :

The same for 404 error messages:

After a long time downloading updates, it crashed with this error message:
Failed to fetch http://kubuntu.org/packages/koffice-latest/dists/feisty/main/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.94.158 80]

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

This is fixed in hardy now. Even if the initial sources.list is invalid the update will continue and comment out broken entries when the sources.list is updated to the new distribution.

Cheers,
 MIchael

Changed in update-manager:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers